Inhalte
Index 🔎︎

# Funktion ChrW [VBA]

Gibt das zum angegebenen Zeichencode gehörige Unicode-Zeichen zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    ChrW(Ausdruck As Integer)

### Rückgabewert:

Zeichenkette

### Parameter:

Ausdruck: Numerische Variablen, die einen gültigen 16-Bit-Unicode-Wert (0-65535) darstellen. (Um Ausdrücke mit einem nominell negativen Argument wie ChrW(&H8000) abwärtskompatibel zu unterstützen, werden Werte im Bereich von –32768 bis –1 intern dem Bereich von 32768 bis 65535 zugeordnet.) Ein Leerzeichen Wert gibt den Fehlercode 5 zurück. Ein Wert außerhalb des Bereichs [0,65535] gibt den Fehlercode 6 zurück.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf

### Beispiel:

    Sub ExampleChrW
     ' Dieses Beispiel fügt die griechischen Buchstaben Alpha und Omega in eine Zeichenkette ein.
     MsgBox "Von "+ ChrW(913)+" bis " + ChrW(937)
     ' Bei der Ausgabe erscheint im Dialog: Von Α bis Ω
    End Sub

Verwandte Themen

Chr

Asc

AscW